## sqlite3 3.22.0

=== debian/changelog ===
sqlite3 (3.22.0-1) unstable; urgency=medium

  * New upstream release (closes: #867387).
  * Update libsqlite3-0 symbols.
  * Replace autotools updateconfig with the debhelper one.
  * Update Standards-Version to 4.1.3:
    - remove libsqlite3-0-dbg package and use the auto-generated one
      (closes: #883556).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Mon, 22 Jan 2018 21:41:23 +0000

sqlite3 (3.21.0-1) unstable; urgency=medium

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 04 Nov 2017 19:55:46 +0000

sqlite3 (3.20.1-2) unstable; urgency=high

  * Backport fix for CVE-2017-15286, NULL pointer dereference in
    tableColumnList() (closes: #878680).
  * Update Standards-Version to 4.1.1:
    - change libsqlite3-0-dbg priority to optional.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Mon, 16 Oct 2017 17:23:10 +0000

sqlite3 (3.20.1-1) unstable; urgency=medium

  * New upstream release.
  * Backport fix for CVE-2017-13685, '.dump' command crashes following
    PRAGMA empty_result_callbacks=1 (closes: #873762).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Wed, 30 Aug 2017 21:01:11 +0000

sqlite3 (3.20.0-1) experimental; urgency=medium

  * New upstream release:
    - adds tab completion support (closes: #500095).
  * Enable the SQLITE_STMT virtual table extension.
  * Remove dh-autoreconf build dependency.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 06 Aug 2017 17:05:20 +0000
