=== debian/watch ===
version=3
opts="uversionmangle=s/\.0/\./g;s/\.0+$//;s/_/\./g" \
http://www.sqlite.org/ .*releaselog/(\d[_\d]*).html
