## sqlite3 3.24.0

=== debian/changelog ===
sqlite3 (3.24.0-1ubuntu0.1) cosmic-security; urgency=medium

  * SECURITY UPDATE: Integer overflow
    - debian/patches/CVE-2018-20346-and-CVE-2018-20506.patch:
      add extra defenses against strategically corrupt databases
      in ext/fts3/fst3.c, ext/fts3/fts3_write.c, test/fts3corrupt4.test,
      test/permutations.test.
    - CVE-2018-20346
    - CVE-2018-20506
  * SECURITY UPDATE: Denial of service
    - debian/patches/CVE-2018-20505.patch: remove assert
      which fail due to a malformed PK and add check in
      src/wherecode.c, test/rowvalue.test.
    - CVE-2018-20505
  * SECURITY UPDATE: heap out-of-bound read
    - debian/patches/CVE-2019-8457.patch: enhance the
      rtreenode() in ext/rtree/rtree.c.
    - CVE-2019-8457
  * security update: heap-buffer over-read
    - debian/patches/cve-2019-9936.patch: add checks
      in code in order to fix in ext/fts5/fts5_hash.c,
      ext/fts5/test/fts5aa.test.
    - CVE-2019-9936
  * security update: NULL pointer dereference
    - debian/patches/cve-2019-9937.patch: fix in
      ext/fts5/fts5Int.h, ext/fts5/fts5_hash.c, ext/fts5/fts5_index.c,
      ext/fts5/test/fts5aa.test.
    - CVE-2019-9937

 -- Leonidas S. Barbosa <leo.barbosa@canonical.com>  Thu, 13 Jun 2019 13:46:38 -0300

sqlite3 (3.24.0-1) unstable; urgency=medium

  * New upstream release.
  * Update libsqlite3-0 symbols.
  * Update debhelper level to 11:
    - update documentation path.
  * Update Standards-Version to 4.1.4 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Tue, 05 Jun 2018 21:47:02 +0000

sqlite3 (3.23.1-1) unstable; urgency=medium

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Wed, 11 Apr 2018 18:59:58 +0000

sqlite3 (3.23.0-1) unstable; urgency=medium

  * New upstream release.
  * Update libsqlite3-0 symbols.
  * Remove backport fix of CVE-2018-8740 as this release contains it.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Mon, 02 Apr 2018 19:47:04 +0000

sqlite3 (3.22.0-2) unstable; urgency=high

  * Backport upstream security fix for CVE-2018-8740: NULL pointer dereference
    (closes: #893195).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 17 Mar 2018 09:13:53 +0000
