=== debian/control ===
--- 
+++ 
@@ -1,11 +1,12 @@
 Source: sqlite3
 Section: devel
 Priority: optional
-Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
-Build-Depends: debhelper (>= 10), autoconf (>= 2.59), libtool (>= 1.5.2), automake, chrpath, libreadline-dev, tcl8.6-dev
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
+Build-Depends: debhelper (>= 11), autoconf (>= 2.59), libtool (>= 1.5.2), automake, chrpath, libreadline-dev, tcl8.6-dev
 Build-Conflicts: tcl8.4, tcl8.4-dev, tcl8.5, tcl8.5-dev
 Homepage: http://www.sqlite.org/
-Standards-Version: 4.1.3
+Standards-Version: 4.1.4
 
 Package: lemon
 Architecture: any
@@ -48,7 +49,6 @@
 Package: libsqlite3-0
 Section: libs
 Architecture: any
-Priority: standard
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
