## sqlite3 3.25.0

=== debian/changelog ===
sqlite3 (3.25.0-1) unstable; urgency=medium

  * New upstream release.
  * Update libsqlite3-0 symbols.
  * Update Standards-Version to 4.2.1 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 15 Sep 2018 21:27:48 +0000
