## sqlite3 3.25.2

=== debian/changelog ===
sqlite3 (3.25.2-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.
  * No changes.

 -- Sylvain Beucler <beuc@debian.org>  Sun, 28 Oct 2018 17:01:55 +0100

sqlite3 (3.25.2-1) unstable; urgency=medium

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Wed, 26 Sep 2018 18:34:50 +0000

sqlite3 (3.25.1-1) unstable; urgency=medium

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Fri, 21 Sep 2018 17:12:32 +0000
