## sqlite3 3.25.3

=== debian/changelog ===
sqlite3 (3.25.3-1) unstable; urgency=medium

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Tue, 06 Nov 2018 20:26:02 +0000
