=== debian/control ===
--- 
+++ 
@@ -1,12 +1,11 @@
 Source: sqlite3
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
+Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
 Build-Depends: debhelper (>= 11), autoconf (>= 2.59), libtool (>= 1.5.2), automake, chrpath, libreadline-dev, tcl8.6-dev
 Build-Conflicts: tcl8.4, tcl8.4-dev, tcl8.5, tcl8.5-dev
 Homepage: http://www.sqlite.org/
-Standards-Version: 4.1.4
+Standards-Version: 4.2.1
 
 Package: lemon
 Architecture: any
