=== debian/rules ===
--- 
+++ 
@@ -80,6 +80,7 @@
 ifneq ($(DEB_BUILD_GNU_TYPE), $(DEB_HOST_GNU_TYPE))
 	$(MAKE) lemon
 endif
+	cd ext/misc && $(CC) -g -fPIC -I../.. -shared csv.c -o csv.so
 
 	touch $@
 
@@ -90,7 +91,7 @@
 	rm -f config.log config.h pkgIndex.tcl configure
 	[ ! -f Makefile ] || $(MAKE) distclean
 	rm -f config.h sqlite3session.h mksourceid
-	rm -f debian/libsqlite3-0.install debian/libsqlite3-dev.install
+	rm -f ext/misc/csv.so
 	dh_autoreconf_clean
 	dh_clean
 
@@ -104,8 +105,11 @@
 	install -m 0664 libtclsqlite3.la $(DESTDIR)/usr/lib/tcltk/sqlite3/
 	install -d $(DESTDIR)/usr/share/lemon
 	install -m 0664 tool/lempar.c $(DESTDIR)/usr/share/lemon/
-	install -m 0775 sqldiff $(DESTDIR)/usr/bin
-	install -m 0775 lemon $(DESTDIR)/usr/bin
+	install -m 0775 sqldiff $(DESTDIR)/usr/bin/
+	install -m 0775 lemon $(DESTDIR)/usr/bin/
+	install -d $(DESTDIR)/usr/lib/$(DEB_HOST_MULTIARCH)/sqlite/
+	install -m 0775 ext/misc/csv.so \
+		$(DESTDIR)/usr/lib/$(DEB_HOST_MULTIARCH)/sqlite/
 
 	# Remove *.la files per policy 3.9.1.0
 	sed -i "/dependency_libs/ s/'.*'/''/" `find $(DESTDIR) -name '*.la'`
@@ -141,10 +145,6 @@
 	dh_testdir
 	dh_testroot
 
-	for file in libsqlite3-0.install libsqlite3-dev.install; do \
-		sed -e"s,\$${DEB_HOST_MULTIARCH},${DEB_HOST_MULTIARCH},g" \
-			debian/$${file}.in > debian/$$file; \
-	done
 	dh_install -a --sourcedir=$(DESTDIR)
 	dh_installman -a
 	dh_installdocs -a
