## sqlite3 3.26.0

=== debian/changelog ===
sqlite3 (3.26.0-3) unstable; urgency=medium

  * Declare that SQLite3 version 3.26.0 breaks unfixed python{,3}-migrate
    (closes: #916046).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Mon, 10 Dec 2018 14:41:05 +0000

sqlite3 (3.26.0-2) unstable; urgency=medium

  * Backport upstream fix to ensure that ALTER TABLE modifies table and
    column names embedded in WITH clauses that are part of views and
    triggers.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Thu, 06 Dec 2018 21:58:13 +0000

sqlite3 (3.26.0-1) unstable; urgency=medium

  * New upstream release.
  * Update libsqlite3-0 symbols.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 02 Dec 2018 01:20:35 +0000

sqlite3 (3.25.3-2) unstable; urgency=medium

  * Backport security related patches:
    - fix a buffer overread associated with sqlite3_deserialize() ,
    - fix a potential buffer overread in the dbstat virtual table when
      processing a corrupt database file.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Thu, 22 Nov 2018 20:43:37 +0000
