## sqlite3 3.26.0+fossilbc891ac6b

=== debian/changelog ===
sqlite3 (3.26.0+fossilbc891ac6b-2~bpo9+1~mx17+1) mx; urgency=medium

  * Repackaged for MX-17/18.

 -- Mike Purtell <mmikeinsantarosa@mxlinux.org>  Sat, 16 Feb 2019 07:39:04 -0800

sqlite3 (3.26.0+fossilbc891ac6b-2~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.
  * No changes.

 -- Sylvain Beucler <beuc@debian.org>  Thu, 31 Jan 2019 19:41:43 +0100

sqlite3 (3.26.0+fossilbc891ac6b-2) unstable; urgency=medium

  * Backport upstream fix for a problem with bytecode generation when a
    query involves two or more indexes on expressions connected by OR.
  * Update Standards-Version to 4.3.0 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 26 Jan 2019 07:19:44 +0000

sqlite3 (3.26.0+fossilbc891ac6b-1) unstable; urgency=medium

  * New Fossil snapshot release:
    - ensure that ALTER TABLE modifies table and column names embedded,
    - fix a potential NULL pointer dereference that can occur in ALTER TABLE,
    - fix the sqlite3ExprDup() function so that it correctly duplicates the
      Window object list,
    - do not use a partial index as a table scan in an IN operator,
    - fix a problem with using "<db>-vacuum",
    - OSSFuzz found a case where an assert() inside sqlite3ExprCompare() can
      be true.
  * Revert version number bump.
  * Fix a problem with the CSV extension when it uses the "header" option on
    a real file.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Wed, 26 Dec 2018 15:49:50 +0000
