=== debian/control ===
--- 
+++ 
@@ -1,11 +1,12 @@
 Source: sqlite3
 Section: devel
 Priority: optional
-Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
+Maintainer: Mike Purtell <mmikeinsantarosa@mxlinux.org>
+XSBC-Original-Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
 Build-Depends: debhelper (>= 11), autoconf (>= 2.59), libtool (>= 1.5.2), automake, chrpath, libreadline-dev, tcl8.6-dev
 Build-Conflicts: tcl8.4, tcl8.4-dev, tcl8.5, tcl8.5-dev
-Homepage: http://www.sqlite.org/
-Standards-Version: 4.2.1
+Homepage: https://www.sqlite.org/
+Standards-Version: 4.3.0
 
 Package: lemon
 Architecture: any
