=== debian/rules ===
--- 
+++ 
@@ -161,3 +161,7 @@
 
 binary: binary-indep binary-arch
 .PHONY: build build-indep build-arch clean configure binary-indep binary-arch binary
+
+override_dh_strip:
+	dh_strip --no-automatic-dbgsym
+
