## sqlite3 3.27.2

=== debian/changelog ===
sqlite3 (3.27.2-3~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.
  * No changes.

 -- Sylvain Beucler <beuc@debian.org>  Thu, 13 Jun 2019 12:31:41 +0200

sqlite3 (3.27.2-3) unstable; urgency=high

  * Backport security related patches:
    - CVE-2019-8457: heap out-of-bound read in the rtreenode() function when
      handling invalid rtree tables,
    - prevent aliases of window functions expressions from being used as
      arguments to aggregate or other window functions (probably fixing
      CVE-2019-5018) (closes: #928770),
    - enforce the SQLITE_LIMIT_COLUMN limit on virtual tables (probably
      fixing most of CVE-2019-5827),
    - use the 64-bit memory allocator interfaces in extensions, whenever
      possible (probably additional fix for CVE-2019-5827).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 01 Jun 2019 15:38:52 +0000

sqlite3 (3.27.2-2) unstable; urgency=high

  * Backport security related patches:
    - use unsigned integers to count the number of pages in a freelist
      during an integrity_check, to avoid any possibility of a signed integer
      overflow,
    - fix a crash that could occur if the RHS of an IN expression is a
      correlated sub-query that refers to the outer query from within a
      window frame definition only,
    - ensure that ALTER TABLE commands open statement transactions,
    - CVE-2019-9937: fix an fts5 problem with interleaving reads and writes
      in a single transaction (closes: #925290),
    - CVE-2019-9936: fix a buffer overread that could occur when running fts5
      prefix queries inside a transaction (closes: #925289).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Tue, 19 Mar 2019 17:46:39 +0000

sqlite3 (3.27.2-1) unstable; urgency=medium

  * New upstream release (closes: #923038).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Mon, 25 Feb 2019 18:47:50 +0000

sqlite3 (3.27.1-2) unstable; urgency=medium

  * Backport upstream fix for assertion fault in self-join with a IN
    constraint.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Wed, 20 Feb 2019 17:37:53 +0000

sqlite3 (3.27.1-1) unstable; urgency=medium

  * New upstream release.
  * Compile with URI filename support.
  * Update libsqlite3-0 symbols.

  [ Helmut Grohne <helmut@subdivi.de> ]
  * Mark lemon Multi-Arch: foreign (closes: #922163).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Tue, 12 Feb 2019 21:39:45 +0000
