=== debian/rules ===
--- 
+++ 
@@ -42,6 +42,7 @@
 	-DSQLITE_LIKE_DOESNT_MATCH_BLOBS \
 	-DSQLITE_THREADSAFE=1 \
 	-DSQLITE_ENABLE_FTS3_TOKENIZER=1 \
+	-DSQLITE_USE_URI=1 \
 	-DSQLITE_MAX_SCHEMA_RETRY=25 \
 	-DSQLITE_ENABLE_PREUPDATE_HOOK \
 	-DSQLITE_ENABLE_SESSION \
@@ -161,7 +162,3 @@
 
 binary: binary-indep binary-arch
 .PHONY: build build-indep build-arch clean configure binary-indep binary-arch binary
-
-override_dh_strip:
-	dh_strip --no-automatic-dbgsym
-
