## sqlite3 3.27.2.3

=== debian/changelog ===
sqlite3 (3.27.2.3-1+security) unstable; urgency=medium

  * update

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Thu, 01 Apr 2021 21:32:00 +0800

sqlite3 (3.27.2.3-1+security) buster; urgency=medium

  * Non-maintainer upload.
  * update version to 3.27.2-3+deb10u1

 -- zhouzilong <zhouzilong@uniontech.com>  Thu, 01 Apr 2021 19:45:29 +0800

sqlite3 (3.27.2-3+deb10u1) buster; urgency=medium

  * CVE-2019-19923
  * CVE-2019-19925
  * CVE-2019-19959
  * CVE-2019-20218
  * CVE-2020-13434
  * CVE-2020-13435
  * CVE-2020-13630
  * CVE-2020-13632
  * CVE-2020-15358
  * CVE-2019-16168

 -- Moritz Mühlenhoff <jmm@debian.org>  Mon, 05 Oct 2020 22:53:55 +0200
