## sqlite3 3.27.2.4

=== debian/changelog ===
sqlite3 (3.27.2.4-1+dde) unstable; urgency=medium

  * fix CVE-2021-20223
  * fix CVE-2020-35527
  * fix CVE-2020-35525

 -- dinghao <dinghao@uniontech.com>  Mon, 19 Sep 2022 16:22:22 +0800
