=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: sqlite3
 Section: devel
 Priority: optional
-Maintainer: Mike Purtell <mmikeinsantarosa@mxlinux.org>
-XSBC-Original-Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
+Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
 Build-Depends: debhelper (>= 11), autoconf (>= 2.59), libtool (>= 1.5.2), automake, chrpath, libreadline-dev, tcl8.6-dev
 Build-Conflicts: tcl8.4, tcl8.4-dev, tcl8.5, tcl8.5-dev
 Homepage: https://www.sqlite.org/
@@ -11,6 +10,7 @@
 Package: lemon
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
+Multi-Arch: foreign
 Description: LALR(1) Parser Generator for C or C++
  Lemon is an LALR(1) parser generator for C or C++. It does the same
  job as bison and yacc. But lemon is not another bison or yacc
