=== debian/rules ===
--- 
+++ 
@@ -28,6 +28,12 @@
   confflags += --build $(DEB_BUILD_GNU_TYPE) --host $(DEB_HOST_GNU_TYPE) --with-tcl=/usr/lib/$(DEB_HOST_MULTIARCH)/tcl8.6
   LDFLAGS += -L/usr/lib/$(DEB_HOST_MULTIARCH)
   export CROSS_BUILDING=yes
+endif
+
+ifeq ($(origin CC),default)
+  HOST_CC ?= $(DEB_HOST_GNU_TYPE)-gcc
+else
+  HOST_CC ?= $(CC)
 endif
 
 export CFLAGS += -O2 -fno-strict-aliasing \
@@ -81,7 +87,7 @@
 ifneq ($(DEB_BUILD_GNU_TYPE), $(DEB_HOST_GNU_TYPE))
 	$(MAKE) lemon
 endif
-	cd ext/misc && $(CC) -g -fPIC -I../.. -shared csv.c -o csv.so
+	cd ext/misc && $(HOST_CC) $(LDFLAGS) $(CPPFLAGS) $(CFLAGS) -g -fPIC -I../.. -shared csv.c -o csv.so
 
 	touch $@
