=== debian/rules ===
--- 
+++ 
@@ -3,6 +3,8 @@
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
+
+export LC_ALL:=C.UTF-8
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 DPKG_EXPORT_BUILDFLAGS = 1
@@ -69,6 +71,7 @@
 	  --libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH) \
 	  --libexecdir=\$${libdir}/sqlite3 \
 	  TCLLIBDIR=/usr/lib/tcltk/sqlite3 \
+	  SHELL=/bin/sh \
 	  $(DDEBUG)
 
 	# remove double -ldl from sqlite3.pc
@@ -140,7 +143,9 @@
 
 	dh_install -i --sourcedir=$(DESTDIR)
 	dh_installdocs -i
-	dh_installchangelogs -i www/changes.html
+	lynx -dump -nolist www/changes.html >changelog
+	dh_installchangelogs -i www/changes.html changelog
+	rm changelog
 	dh_compress -i
 	dh_fixperms -i
 	dh_installdeb -i
@@ -155,7 +160,9 @@
 	dh_install -a --sourcedir=$(DESTDIR)
 	dh_installman -a
 	dh_installdocs -a
-	dh_installchangelogs -a www/changes.html
+	lynx -dump -nolist www/changes.html >changelog
+	dh_installchangelogs -a www/changes.html changelog
+	rm changelog
 	dh_strip -a
 	dh_compress -a
 	dh_fixperms -a
