## sqlite3 3.34.0

=== debian/changelog ===
sqlite3 (3.34.0-1) unstable; urgency=medium

  * New upstream release.
  * Update patches to apply clean.
  * Update libsqlite3-0 symbols.
  * Update debhelper level to 13 .
  * Update Standards-Version to 4.5.1 .

  [ Pino Toscano <pino@debian.org> ]
  * Don't ship .la files (closes: #968488).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Fri, 04 Dec 2020 22:11:24 +0100
