## sqlite3 3.34.1

=== debian/changelog ===
sqlite3 (3.34.1-3) unstable; urgency=medium

  * Backport upstream fix for an issue with the LIKE operator when it
    includes the "ESCAPE '_'" clause.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Wed, 24 Feb 2021 18:19:48 +0100

sqlite3 (3.34.1-2) unstable; urgency=medium

  * Backport upstream fix for incorrect optimization of IN operator.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 13 Feb 2021 16:22:26 +0100

sqlite3 (3.34.1-1) unstable; urgency=medium

  * New upstream release.
  * Add upstream metadata.
  * Update watch file.
  * Update packaging bits.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Wed, 20 Jan 2021 18:40:44 +0100
