=== debian/rules ===
--- 
+++ 
@@ -122,7 +122,7 @@
 		$(DESTDIR)/usr/lib/$(DEB_HOST_MULTIARCH)/sqlite/
 
 	# Remove *.la files per policy 3.9.1.0
-	sed -i "/dependency_libs/ s/'.*'/''/" `find $(DESTDIR) -name '*.la'`
+	rm $(DESTDIR)/usr/lib/*/libsqlite3.la
 
 	# Create the pkgIndex.tcl file for the Tcl module. This generated file
 	# actually turns out to be relocatable.
