## sqlite3 3.35.5

=== debian/changelog ===
sqlite3 (3.35.5-1ubuntu0.1) impish-security; urgency=medium

  * SECURITY UPDATE: segmentation fault in idxGetTableInfo
    - debian/patches/CVE-2021-36690.patch: perform validation
      over the column to ensure it has collating sequence in
      ext/expert/sqlite3expert.c
    - CVE-2021-36690

 -- David Fernandez Gonzalez <david.fernandezgonzalez@canonical.com>  Thu, 28 Apr 2022 13:49:38 +0200

sqlite3 (3.35.5-1) experimental; urgency=medium

  * New upstream release.
  * Remove backported patches.
  * Remove sqlite3_unsupported_selecttrace@Base symbol as no longer part of
    the library.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 23 May 2021 08:06:14 +0200
